## ros-rolling-rosbag2-performance-benchmarking 0.24.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosbag2_performance_benchmarking)

option(BUILD_ROSBAG2_BENCHMARKS "Build rosbag2 performance benchmarks" OFF)

if(NOT BUILD_ROSBAG2_BENCHMARKS)
  return()
endif()

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)

find_package(rclcpp REQUIRED)
find_package(rcutils REQUIRED)
find_package(rosbag2_compression REQUIRED)
find_package(rosbag2_cpp REQUIRED)
find_package(rosbag2_storage REQUIRED)
find_package(rmw REQUIRED)
find_package(rosbag2_performance_benchmarking_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(yaml_cpp_vendor REQUIRED)

  add_executable(writer_benchmark
    src/config_utils.cpp
    src/result_utils.cpp
    src/writer_benchmark.cpp
    src/msg_utils/helpers.cpp)

add_executable(benchmark_publishers
  src/benchmark_publishers.cpp
  src/config_utils.cpp
  src/msg_utils/helpers.cpp)

add_executable(results_writer
  src/config_utils.cpp
  src/result_utils.cpp
  src/results_writer.cpp)

target_link_libraries(writer_benchmark
  rclcpp::rclcpp
  ${rosbag2_performance_benchmarking_msgs_TARGETS}
  ${sensor_msgs_TARGETS}
  rosbag2_compression::rosbag2_compression
  rosbag2_cpp::rosbag2_cpp
  rosbag2_storage::rosbag2_storage
  yaml-cpp
)

target_link_libraries(benchmark_publishers
  rclcpp::rclcpp
  rosbag2_storage::rosbag2_storage
  ${rosbag2_performance_benchmarking_msgs_TARGETS}
  ${sensor_msgs_TARGETS}
  yaml-cpp
)

target_link_libraries(results_writer
  rclcpp::rclcpp
  rosbag2_storage::rosbag2_storage
)

target_include_directories(writer_benchmark
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
)

target_include_directories(benchmark_publishers
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
)

target_include_directories(results_writer
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
)

install(TARGETS writer_benchmark benchmark_publishers results_writer
  DESTINATION lib/${PROJECT_NAME})

install(DIRECTORY
  launch
  config
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(launch_testing_ament_cmake)
  add_launch_test(
      test/benchmark_test.py
      TARGET rosbag2_benchmark_test
      ENV
      TIMEOUT 600
  )
endif()

ament_package()

## ros-rolling-rosbag2-performance-benchmarking 0.13.0

=== debian/changelog ===
ros-rolling-rosbag2-performance-benchmarking (0.13.0-1focal) focal; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 13 Jan 2022 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.12.0-1focal) focal; urgency=high

  * Enable YAML encoding/decoding for RecordOptions and StorageOptions (#916 <https://github.com/ros2/rosbag2/issues/916>)
    * Enable YAML encoding/decoding for RecordOptions and StorageOptions
  * Contributors: Emerson Knapp

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.11.0-1focal) focal; urgency=high

  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Contributors: Michel Hidalgo

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 08 Nov 2021 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.10.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Fri, 22 Oct 2021 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.10.0-1focal) focal; urgency=high

  * Updated node declare_parameter to new syntax (#882 <https://github.com/ros2/rosbag2/issues/882>)
  * Updated benchmark package to use writer close() instead of old reset() (#881 <https://github.com/ros2/rosbag2/issues/881>)
  * Contributors: Adam Dąbrowski

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 19 Oct 2021 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.9.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 17 May 2021 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.8.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 19 Apr 2021 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.7.0-1focal) focal; urgency=high

  * fixed a memory leak in no-transport benchmark (#674 <https://github.com/ros2/rosbag2/issues/674>)
  * report of performance improvements in rosbag2 (roughly since Foxy) (#651 <https://github.com/ros2/rosbag2/issues/651>)
  * Performance benchmarking improvements (#634 <https://github.com/ros2/rosbag2/issues/634>)
  * Contributors: Adam Dąbrowski, Piotr Jaroszek

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.6.0-1focal) focal; urgency=high

  * Performance benchmarking refactor (#594 <https://github.com/ros2/rosbag2/issues/594>)
  * Contributors: Adam Dąbrowski

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Feb 2021 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.5.0-1focal) focal; urgency=high

  * Sqlite storage double buffering (#546 <https://github.com/ros2/rosbag2/issues/546>)
  * Contributors: Adam Dąbrowski

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 02 Dec 2020 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.4.0-1focal) focal; urgency=high

  * read yaml config file (#497 <https://github.com/ros2/rosbag2/issues/497>)
  * add storage_config_uri (#493 <https://github.com/ros2/rosbag2/issues/493>)
  * Update the package.xml files with the latest Open Robotics maintainers (#535 <https://github.com/ros2/rosbag2/issues/535>)
  * performance testing packages (#442 <https://github.com/ros2/rosbag2/issues/442>)
  * Contributors: Adam Dąbrowski, Karsten Knese, Michael Jeronimo

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 19 Nov 2020 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.3.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.3.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.3.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.8-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 May 2020 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.7-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 12 May 2020 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.6-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 07 May 2020 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.5-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.4-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 19 Nov 2019 01:51:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.3-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 Nov 2019 21:55:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 13 Nov 2019 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.1.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.1.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 09 May 2019 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.1.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 08 May 2019 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.0.5-1focal) focal; urgency=high





=== debian/control ===
Source: ros-rolling-rosbag2-performance-benchmarking
Section: misc
Priority: optional
Maintainer: Geoffrey Biggs <geoff@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-rclcpp, ros-rolling-rmw, ros-rolling-rosbag2-compression, ros-rolling-rosbag2-cpp, ros-rolling-rosbag2-storage, ros-rolling-std-msgs, ros-rolling-yaml-cpp-vendor, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rosbag2-performance-benchmarking
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rclcpp, ros-rolling-rmw, ros-rolling-rosbag2-compression, ros-rolling-rosbag2-cpp, ros-rolling-rosbag2-storage, ros-rolling-std-msgs, ros-rolling-yaml-cpp-vendor, ros-rolling-ros-workspace
Description: Code to benchmark rosbag2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rosbag2-performance-benchmarking//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rosbag2-performance-benchmarking 0.24.0

=== debian/changelog ===
ros-rolling-rosbag2-performance-benchmarking (0.24.0-1jammy) jammy; urgency=high

  * Set CPU affinity for producers and recorder from benchmark parameters (#1305 <https://github.com/ros2/rosbag2/issues/1305>)
  * Add CPU usage to rosbag2_performance_benchmarking results report (#1304 <https://github.com/ros2/rosbag2/issues/1304>)
  * Add config option to use storage_id parameter in benchmark_launch.py (#1303 <https://github.com/ros2/rosbag2/issues/1303>)
  * Contributors: Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.23.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.22.0-1jammy) jammy; urgency=high

  * Add tests for rosbag2_performance_benchmarking pkg (#1268 <https://github.com/ros2/rosbag2/issues/1268>)
  * Contributors: Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.21.0-1jammy) jammy; urgency=high

  * Fix expectations for rosbag2 return code in rosbag2_performance_benchmarking (#1267 <https://github.com/ros2/rosbag2/issues/1267>)
  * Update rosbag2 to C++17. (#1238 <https://github.com/ros2/rosbag2/issues/1238>)
  * Use thread pool to run benchmark publishers in rosbag2_performance_benchmarking (#1250 <https://github.com/ros2/rosbag2/issues/1250>)
  * Use target_link_libraries instead of ament_target_dependencies (#1202 <https://github.com/ros2/rosbag2/issues/1202>)
  * Contributors: Chris Lalancette, Daisuke Nishimatsu, Michael Orlov, Shane Loretz, carlossvg

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.20.0-1jammy) jammy; urgency=high

  * Skip ament_package() call when not building rosbag2_performance_benchmarking (#1242 <https://github.com/ros2/rosbag2/issues/1242>)
  * Contributors: Shane Loretz

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.19.0-1jammy) jammy; urgency=high

  * Add option to specify a message type (#1153 <https://github.com/ros2/rosbag2/issues/1153>)
  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>)
  * Replace language for "db3"/"db"/"database" (#1194 <https://github.com/ros2/rosbag2/issues/1194>)
  * Remove explicit sqlite3 from code (#1166 <https://github.com/ros2/rosbag2/issues/1166>)
  * Contributors: Emerson Knapp, Michael Orlov, carlossvg

 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 13 Jan 2023 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.18.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 15 Nov 2022 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.17.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Sat, 30 Jul 2022 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.16.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 11 May 2022 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.15.1-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 06 Apr 2022 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.15.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 05 Apr 2022 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.14.1-1jammy) jammy; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 29 Mar 2022 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.14.0-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#958 <https://github.com/ros2/rosbag2/issues/958>)
  * Contributors: Shane Loretz

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 29 Mar 2022 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.13.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 13 Jan 2022 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.12.0-1jammy) jammy; urgency=high

  * Enable YAML encoding/decoding for RecordOptions and StorageOptions (#916 <https://github.com/ros2/rosbag2/issues/916>)
    * Enable YAML encoding/decoding for RecordOptions and StorageOptions
  * Contributors: Emerson Knapp

 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 17 Dec 2021 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.11.0-1jammy) jammy; urgency=high

  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Contributors: Michel Hidalgo

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 08 Nov 2021 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.10.1-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 22 Oct 2021 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.10.0-1jammy) jammy; urgency=high

  * Updated node declare_parameter to new syntax (#882 <https://github.com/ros2/rosbag2/issues/882>)
  * Updated benchmark package to use writer close() instead of old reset() (#881 <https://github.com/ros2/rosbag2/issues/881>)
  * Contributors: Adam Dąbrowski

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 19 Oct 2021 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.9.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 May 2021 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.8.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 19 Apr 2021 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.7.0-1jammy) jammy; urgency=high

  * fixed a memory leak in no-transport benchmark (#674 <https://github.com/ros2/rosbag2/issues/674>)


=== debian/control ===
Source: ros-rolling-rosbag2-performance-benchmarking
Section: misc
Priority: optional
Maintainer: Michael Orlov <michael.orlov@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-launch-ros <!nocheck>, ros-rolling-rclcpp, ros-rolling-rmw, ros-rolling-ros-testing <!nocheck>, ros-rolling-ros2bag <!nocheck>, ros-rolling-ros2launch <!nocheck>, ros-rolling-rosbag2-compression, ros-rolling-rosbag2-cpp, ros-rolling-rosbag2-performance-benchmarking-msgs, ros-rolling-rosbag2-py, ros-rolling-rosbag2-storage, ros-rolling-rosbag2-storage-default-plugins <!nocheck>, ros-rolling-rosbag2-test-common <!nocheck>, ros-rolling-sensor-msgs, ros-rolling-yaml-cpp-vendor, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rosbag2-performance-benchmarking
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-psutil, ros-rolling-ament-index-python, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-rclcpp, ros-rolling-rmw, ros-rolling-rosbag2-compression, ros-rolling-rosbag2-cpp, ros-rolling-rosbag2-performance-benchmarking-msgs, ros-rolling-rosbag2-py, ros-rolling-rosbag2-storage, ros-rolling-sensor-msgs, ros-rolling-yaml-cpp-vendor, ros-rolling-ros-workspace
Description: Code to benchmark rosbag2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
